Ficheros
Subir un archivo
Sube un Word, PDF, TXT o Markdown para usarlo como fuente, revisarlo o editarlo.
POST
/
files
Upload a Word, PowerPoint, Excel (also .doc/.ppt/.xls), PDF, TXT, Markdown or picture file (max 20 MB): multipart, a URL or base64
curl --request POST \
--url https://api.eu.doconda.com/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"filename": "<string>"
}
'import requests
url = "https://api.eu.doconda.com/v1/files"
payload = {
"url": "<string>",
"filename": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', filename: '<string>'})
};
fetch('https://api.eu.doconda.com/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "file",
"filename": "<string>",
"content_type": "<string>",
"bytes": 0,
"sha256": "<string>",
"pages": 0,
"created_at": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Autorizaciones
apiKeysession
Authorization: Bearer ak_eu_…. The prefix is the project's region and must match the server (api.eu / api.us).
Cuerpo
application/jsonmultipart/form-data
Respuesta
Stored.
Pattern:
^file_[0-9A-HJKMNP-TV-Z]{26}$Allowed value:
"file"Rango requerido:
-9007199254740991 <= x <= 9007199254740991Rango requerido:
-9007199254740991 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$⌘I
Upload a Word, PowerPoint, Excel (also .doc/.ppt/.xls), PDF, TXT, Markdown or picture file (max 20 MB): multipart, a URL or base64
